> ## Documentation Index
> Fetch the complete documentation index at: https://docs.govly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace

> Retrieve a specific opportunity workspace by ID

# Get Workspace

## Path Parameters

<ParamField path="id" type="string" required>
  The ID of the workspace to retrieve. This can be found in the workspace URL.
  For example, given the URL `https://www.govly.com/app/opportunities/8180377/workspaces/822609`, the ID would be `822609`.
</ParamField>

## Response

<ResponseField name="id" type="string">
  The unique identifier for the workspace
</ResponseField>

<ResponseField name="displayName" type="string">
  The display name of the workspace
</ResponseField>

<ResponseField name="stage" type="string">
  Current stage of the workspace (e.g., "Qualifying", "Quoted")
</ResponseField>

<ResponseField name="activities" type="array">
  Array of activity objects showing workspace history
</ResponseField>

<ResponseField name="comments" type="array">
  Array of comment objects associated with the workspace
</ResponseField>

<ResponseField name="follows" type="array">
  Array of follow objects showing who is following the workspace
</ResponseField>

<ResponseField name="opportunity" type="object">
  The full opportunity object associated with this workspace
</ResponseField>

## Example Request

```bash theme={null}
curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
--header 'X-API-KEY: your-api-key'
```

<RequestExample>
  ```bash Request theme={null}
  curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
  --header 'X-API-KEY: your-api-key'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "822609",
    "displayName": "Govly Workspace",
    "stage": "Quoted",
    "activities": [
      {
        "createdAt": "2023-05-31T18:50:40.563512Z",
        "id": "313488",
        "message": "nick@govly.com posted a new comment"
      }
    ],
    "comments": [
      {
        "author": "nick@govly.com",
        "body": "This is a workspace comment.",
        "createdAt": "2023-05-31T18:50:40.529547Z",
        "id": "67088"
      }
    ],
    "follows": [
      {
        "follower": {
          "id": 986,
          "email": "nick@govly.com"
        },
        "state": "following"
      }
    ]
  }
  ```
</ResponseExample>
